Gecode::Int::Unshare Namespace Reference

Unsharing shared variables. More...

## Classes

class | VarPtrLess
| Sort order for variables. More...

## Functions

void | link (Home home, IntVar **x, int n, IntPropLevel ipl)
| Replace by fresh yet equal integer variables.
void | link (Home home, BoolVar **x, int n, IntPropLevel)
| Replace by fresh yet equal Boolean variables.
template<class Var>
void | unshare (Home home, VarArgArray< Var > &x, IntPropLevel ipl)
| Replace unassigned shared variables by fresh, yet equal variables.

## Detailed Description

Unsharing shared variables.

## Function Documentation

## link() [1/2]

void Gecode::Int::Unshare::link | ( | Home | home,
|  | IntVar ** | x,
|  | int | n,
|  | IntPropLevel | ipl )

inline

Replace by fresh yet equal integer variables.

Definition at line 57 of file unshare.cpp.

## link() [2/2]

void Gecode::Int::Unshare::link | ( | Home | home,
|  | BoolVar ** | x,
|  | int | n,
|  | IntPropLevel | )

inline

Replace by fresh yet equal Boolean variables.

Definition at line 87 of file unshare.cpp.

## unshare()

template<class Var>

void Gecode::Int::Unshare::unshare | ( | Home | home,
|  | VarArgArray< Var > & | x,
|  | IntPropLevel | ipl )

inline

Replace unassigned shared variables by fresh, yet equal variables.

Definition at line 108 of file unshare.cpp.